hpisensor(1)

NAME
 hpisensor -  This sample openhpi application displays sensor info for all resources with Sensor Capability

SYNOPSIS
 hpisensor [-D nn] [-N host[:port]] [-C <cfgfile>] [-t -r -s -X -h] [-E epath]
 hpisensor [--domain=nn] [--host=host[:port]] [--cfgfile=file]
           [--threshold --range --eventstate --debug --help] [--entity-path="epath"]

DESCRIPTION
hpisensor displays sensor info for all resources with Sensor Capability. Option -E (entity-path) restricts the output on the specified entity-path.

If no domain or host is selected, hpisensor uses the default domain as specified in the openhpiclient.conf file.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-t, --threshold
    Show Thresholds also

-r, --range
    Show Range values also

-s, --eventstate
    Show EventState also

-E "epath", --entity-path="epath"
    Use entity path epath

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell
         hpialarms      hpifan         hpipower       hpitop
         hpidomain      hpigensimdata  hpireset       hpitree
         hpiel          hpiiinv        hpisettime     hpiwdt
         hpievents      hpionIBMblade  hpithres       hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Peter D Phan (pdphan@users.sourceforge.net)
 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)